aboutsummaryrefslogtreecommitdiff
path: root/tests/functional/common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/functional/common.sh')
-rw-r--r--tests/functional/common.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/functional/common.sh b/tests/functional/common.sh
new file mode 100644
index 000000000..7b0922c9f
--- /dev/null
+++ b/tests/functional/common.sh
@@ -0,0 +1,12 @@
+set -eu -o pipefail
+
+if [[ -z "${COMMON_SH_SOURCED-}" ]]; then
+
+COMMON_SH_SOURCED=1
+
+source "$(readlink -f "$(dirname "${BASH_SOURCE[0]-$0}")")/common/vars-and-functions.sh"
+if [[ -n "${NIX_DAEMON_PACKAGE:-}" ]]; then
+ startDaemon
+fi
+
+fi # COMMON_SH_SOURCED